# phpMyAdmin SQL Dump
# version 2.5.3
# http://www.phpmyadmin.net
#
# Host: localhost
# Generato il: 16 Ago, 2007 at 11:45 PM
# Versione MySQL: 4.0.15
# Versione PHP: 4.3.3
# 
# Database : `ecdl`
# 
CREATE DATABASE `ecdl`;
USE ecdl;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_avvisi`
#

CREATE TABLE `ecdl_avvisi` (
  `id` mediumint(9) NOT NULL auto_increment,
  `cAutore` varchar(30) NOT NULL default '',
  `cTesto` blob NOT NULL,
  `dDataAtt` date default NULL,
  `dDataScad` date default NULL,
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `tsTimeStamp` (`dtTimeStamp`)
) TYPE=MyISAM AUTO_INCREMENT=12 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_candidati`
#

CREATE TABLE `ecdl_candidati` (
  `id` mediumint(9) NOT NULL auto_increment,
  `cGruppo` varchar(20) NOT NULL default '',
  `cClasse` varchar(4) NOT NULL default '',
  `cTitolo` varchar(8) default NULL,
  `cCognome` varchar(30) NOT NULL default '',
  `cNome` varchar(40) NOT NULL default '',
  `cSNome` varchar(40) default NULL,
  `cSesso` char(1) NOT NULL default '',
  `dDataNas` date NOT NULL default '0000-00-00',
  `cLuogoNas` varchar(30) NOT NULL default '',
  `cCF` varchar(16) default NULL,
  `cStatoCivile` varchar(15) default NULL,
  `cPassword` varchar(10) NOT NULL default '',
  `cInd` varchar(50) NOT NULL default '',
  `cCap` varchar(5) NOT NULL default '',
  `cLoc` varchar(44) NOT NULL default '',
  `cProv` char(2) NOT NULL default '',
  `cNazione` varchar(25) NOT NULL default '',
  `cTel1` varchar(15) default NULL,
  `cTel2` varchar(15) default NULL,
  `cTel3` varchar(15) default NULL,
  `cCell` varchar(15) default NULL,
  `cFax` varchar(15) default NULL,
  `cEmail` varchar(50) default NULL,
  `cScolarita` varchar(50) NOT NULL default '',
  `cOccupazione` varchar(50) NOT NULL default '',
  `cNote` varchar(100) default NULL,
  `cSkillsCard` varchar(10) default NULL,
  `cTipologia` varchar(10) NOT NULL default 'Core',
  `dDataRil` date default NULL,
  `dDataConsECDL` date default NULL,
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `conoda` (`cCognome`,`cNome`,`dDataNas`),
  KEY `conopa` (`cCognome`,`cNome`,`cPassword`)
) TYPE=MyISAM AUTO_INCREMENT=273 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_esami`
#

CREATE TABLE `ecdl_esami` (
  `id` mediumint(9) NOT NULL auto_increment,
  `cSkillsCard` varchar(10) NOT NULL default '',
  `cGruppo` varchar(50) default NULL,
  `cDModulo` varchar(100) default NULL,
  `cSoftwareSuite` varchar(100) default NULL,
  `dInizio` date NOT NULL default '0000-00-00',
  `hOraInizio` time default NULL,
  `hOraFine` time default NULL,
  `cDurata` varchar(7) default NULL,
  `cDEsito` varchar(100) default NULL,
  `cPunteggio` varchar(10) default NULL,
  `cSoglia` varchar(10) default NULL,
  `cPunteggioMax` varchar(10) default NULL,
  `cPercentuale` varchar(10) default NULL,
  `cCodiceSessione` varchar(20) default NULL,
  `cIDTest` varchar(20) default NULL,
  `cModulo` char(1) NOT NULL default '0',
  `cEsito` char(1) NOT NULL default 'V',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cSkillsCard` (`cSkillsCard`)
) TYPE=MyISAM AUTO_INCREMENT=1156 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_generale`
#

CREATE TABLE `ecdl_generale` (
  `id` mediumint(9) NOT NULL auto_increment,
  `cDesc` varchar(20) NOT NULL default '',
  `cValore` varchar(100) NOT NULL default '',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cDesc` (`cDesc`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Dump dei dati per la tabella `ecdl_generale`
#

INSERT INTO `ecdl_generale` VALUES (1, 'Admin', 'admin', 20070303124138);
INSERT INTO `ecdl_generale` VALUES (2, 'Pass', 'admin', 20070303124138);
INSERT INTO `ecdl_generale` VALUES (3, 'NAccesso', '1', 20070817002520);

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_liste`
#

CREATE TABLE `ecdl_liste` (
  `id` mediumint(9) NOT NULL auto_increment,
  `dDataApertura` date NOT NULL default '0000-00-00',
  `dDataChiusura` date NOT NULL default '0000-00-00',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `dDataApertura` (`dDataApertura`),
  KEY `dDataChiusura` (`dDataChiusura`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_preiscrizioni`
#

CREATE TABLE `ecdl_preiscrizioni` (
  `id` mediumint(9) NOT NULL auto_increment,
  `idLista` mediumint(9) NOT NULL default '0',
  `cClasse` varchar(4) NOT NULL default '',
  `cCognome` varchar(30) NOT NULL default '',
  `cNome` varchar(40) NOT NULL default '',
  `dDataNas` date NOT NULL default '0000-00-00',
  `cLuogoNas` varchar(30) default '',
  `cPassword` varchar(10) NOT NULL default '',
  `cEmail` varchar(50) default NULL,
  `cGiornoPref` char(3) default NULL,
  `cLivello` char(1) default NULL,
  `cNote` varchar(100) default NULL,
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `conoda` (`cCognome`,`cNome`,`dDataNas`),
  KEY `conopa` (`cCognome`,`cNome`,`cPassword`),
  KEY `lista` (`idLista`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_prenotazioni`
#

CREATE TABLE `ecdl_prenotazioni` (
  `idSessione` mediumint(9) NOT NULL default '0',
  `cSkillsCard` varchar(10) NOT NULL default '',
  `cm1` char(1) NOT NULL default 'N',
  `cm2` char(1) NOT NULL default 'N',
  `cm3` char(1) NOT NULL default 'N',
  `cm4` char(1) NOT NULL default 'N',
  `cm5` char(1) NOT NULL default 'N',
  `cm6` char(1) NOT NULL default 'N',
  `cm7` char(1) NOT NULL default 'N',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`idSessione`,`cSkillsCard`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_quedom`
#

CREATE TABLE `ecdl_quedom` (
  `id` int(11) NOT NULL auto_increment,
  `nGruppo` int(11) NOT NULL default '0',
  `nProg` int(11) NOT NULL default '0',
  `cDomanda` varchar(200) NOT NULL default '',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=57 ;


#
# Dump dei dati per la tabella `ecdl_quedom`
#

INSERT INTO `ecdl_quedom` VALUES (1, 10, 10, 'C\' stata una buona informazione sulle finalit della Patente Informatica?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (2, 10, 20, 'Avresti voluto pi informazioni sugli obbiettivi della Patente Informatica?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (3, 20, 10, 'L\'attivit di avvio dei corsi  stata lenta e farraginosa?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (4, 20, 20, 'I corsi sono stati avviati in maniera celere e precisa?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (5, 30, 10, 'Hai gradito il giorno che ti  stato assegnato per frequentare il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (6, 30, 20, 'Non ti  piaciuto il giorno in cui hai frequentato il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (7, 40, 10, 'Hai gradito l\'orario del corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (13, 60, 10, 'Ti ha soddisfatto l\'insegnante che ti ha tenuto il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (9, 40, 20, 'Vorresti aver frequentato il corso in un\'altro orario?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (10, 40, 30, 'Non ti  piaciuto l\'orario in cui hai frequentato il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (11, 50, 10, 'Ti sei trovato/a bene nel gruppo di persone assieme ai quali hai frequentato il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (12, 50, 20, 'Non ti  piaciuto il gruppo in cui ti sei trovato?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (14, 60, 20, 'Avresti voluto avere un altro insegnante?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (15, 60, 30, 'L\'insegnante si  rivelato professionale e competente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (16, 70, 10, 'L\'attivit didattica  stata valida ed efficace?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (17, 70, 20, 'Hai capito gran parte delle cose che ti sono state spiegate?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (18, 70, 30, 'Hai capito poco di ci che ti  stato spiegato?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (19, 70, 40, 'Hai capito met degli argomenti che ti sono stati proposti?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (20, 80, 10, 'Avresti voluto che il modulo sui concetti di base (mod. 1) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (21, 80, 20, 'Il modulo sui concetti di base (mod. 1)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (22, 90, 10, 'Avresti voluto che il modulo sull\'uso del computer (mod. 2) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (23, 90, 20, 'Il modulo sull\'uso del computer (mod. 2)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (24, 100, 10, 'Avresti voluto che il modulo sulla videoscrittura (mod. 3) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (25, 100, 20, 'Il modulo sulla videoscrittura (mod. 3)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (26, 110, 10, 'Avresti voluto che il modulo sul foglio di calcolo (mod. 4) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (27, 110, 20, 'Il modulo sul foglio di calcolo (mod. 4)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (28, 120, 10, 'Avresti voluto che il modulo sul database (mod. 5) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (29, 120, 20, 'Il modulo sul database (mod. 5)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (30, 130, 10, 'Avresti voluto che il modulo sulle presentazioni (mod. 6) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (31, 130, 20, 'Il modulo sulle presentazioni (mod. 6)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (32, 140, 10, 'Avresti voluto che il modulo sulle reti (mod. 7) fosse spiegato pi approfonditamente?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (33, 140, 20, 'Il modulo sulle reti (mod. 7)  stato spiegato in maniera approfondita?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (34, 150, 10, 'Il corso che hai seguito ti  servito per superare gli esami?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (35, 150, 20, 'Avresti superato gli esami anche senza seguire il corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (36, 150, 30, 'Il corso ti ha fatto solo confusione al fine di superare gli esami?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (37, 160, 10, 'Hai superato l\'esame sui concetti di base (mod. 1)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (38, 160, 20, 'Hai superato l\'esame sull\'uso del computer (mod. 2)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (39, 160, 30, 'Hai superato l\'esame sulla videoscrittura (mod. 3)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (40, 160, 40, 'Hai superato l\'esame sul foglio di calcolo (mod. 4)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (41, 160, 50, 'Hai superato l\'esame sul database (mod. 5)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (42, 160, 60, 'Hai superato l\'esame sulle presentazioni (mod. 6)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (43, 160, 70, 'Hai superato l\'esame sulle reti (mod. 7)? (5 se superato, 3 se non fatto, 1 se non superato)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (44, 170, 10, 'Hai svolto un buon corso?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (45, 170, 20, 'Il corso che hai seguito  stato di scarso livello?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (46, 170, 30, 'Definiresti sufficiente il corso che hai seguito?', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (47, 180, 10, 'Quante assenze hai fatto, appr.? (1->0-20%, 2->20-40%, 3->40-60%, 4->60-80%, 5->80-100%)', 20070204103448);
INSERT INTO `ecdl_quedom` VALUES (48, 180, 20, 'Quante presenze hai fatto, appr.? (1->0-20%, 2->20-40%, 3->40-60%, 4->60-80%, 5->80-100%)', 20070204103448);

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_querisp`
#

CREATE TABLE `ecdl_querisp` (
  `id` int(11) NOT NULL auto_increment,
  `cRisposte` varchar(100) NOT NULL default '',
  `cCommento` varchar(200) NOT NULL default '',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=35 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_sessioni`
#

CREATE TABLE `ecdl_sessioni` (
  `id` mediumint(9) NOT NULL auto_increment,
  `dDataApertura` date NOT NULL default '0000-00-00',
  `dDataChiusura` date NOT NULL default '0000-00-00',
  `dDataEsame` date NOT NULL default '0000-00-00',
  `nMaxNumEs` tinyint(1) NOT NULL default '2',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `dDataApertura` (`dDataApertura`),
  KEY `dDataChiusura` (`dDataChiusura`)
) TYPE=MyISAM AUTO_INCREMENT=8 ;

# --------------------------------------------------------

#
# Struttura della tabella `ecdl_versamenti`
#

CREATE TABLE `ecdl_versamenti` (
  `id` mediumint(9) NOT NULL auto_increment,
  `cSkillsCard` varchar(10) NOT NULL default '',
  `cCodVers` varchar(50) default NULL,
  `nValVers` decimal(5,2) NOT NULL default '0.00',
  `dDataVers` date default NULL,
  `nNSkillsCard` smallint(1) NOT NULL default '0',
  `nNEsami` smallint(2) NOT NULL default '0',
  `dtTimeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cSkillsCard` (`cSkillsCard`)
) TYPE=MyISAM AUTO_INCREMENT=433 ;
